Remove an RCS agent test device
Removes a test device from an RCS agent and its provider registration.
DELETE
/
rcs
/
agents
/
{id}
/
test_devices
/
{test_device_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.rcs.agents.testDevices.delete('id', 'test_device_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.rcs.agents.test_devices.delete(
"id",
"test_device_id",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Rcs.Agents.TestDevices.Delete(
context.TODO(),
"id",
"test_device_id",
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.rcs().agents().testDevices().delete("id", "test_device_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.agents.test_devices.delete("id", "test_device_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->agents->testDevices->delete(
'id',
'test_device_id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents:test-devices delete \
--api-key 'My API Key' \
--id id \
--test-device-id test_device_idcurl --request DELETE \
--url https://api.telnyx.com/v2/rcs/agents/{id}/test_devices/{test_device_id} \
--header 'Authorization: Bearer <token>'{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Telnyx-assigned agent identifier.
The Telnyx-assigned test device identifier.
Response
The test device was removed.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.rcs.agents.testDevices.delete('id', 'test_device_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.rcs.agents.test_devices.delete(
"id",
"test_device_id",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Rcs.Agents.TestDevices.Delete(
context.TODO(),
"id",
"test_device_id",
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.rcs().agents().testDevices().delete("id", "test_device_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.agents.test_devices.delete("id", "test_device_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->agents->testDevices->delete(
'id',
'test_device_id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents:test-devices delete \
--api-key 'My API Key' \
--id id \
--test-device-id test_device_idcurl --request DELETE \
--url https://api.telnyx.com/v2/rcs/agents/{id}/test_devices/{test_device_id} \
--header 'Authorization: Bearer <token>'{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}